#ifndef H_cQueue
#define H_cQueue

template <class T> class cQueue{
protected:
	struct sQueueNode{
		T Data;
		sQueueNode *Link;
	} *Head, *Tail;

public:
	cQueue();
	~cQueue();
	void Clear();
	// Operation
	bool IsEmpty();
	void Add(T &NewData);
	bool Get(T *Data);
	bool GetHead(T *Data);
};

#endif